void
free_files(t_list **files) {
    for (t_list *cur = *files; cur != nullptr;) {
        dir_t *file = (dir_t*)cur->content;
        if (!file->is_file)
            closedir(file->dir);
        free(file->path);
        free(file);

        t_list *next = cur->next;
        free(cur);
        cur = next;
    }
    free(files);
}
